Bug 857478 - Missing dependencies
Missing dependencies
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-Module-Install (Show other bugs)
rawhide
All All
medium Severity medium
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 10:32 EDT by Jitka Plesnikova
Modified: 2012-10-03 23:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 03:36:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for rawhide (1.45 KB, patch)
2012-09-14 10:32 EDT, Jitka Plesnikova
no flags Details | Diff

  None (edit)
Description Jitka Plesnikova 2012-09-14 10:32:27 EDT
Created attachment 612907 [details]
Patch for rawhide

perl-Module-Install package is missing the perl() dependencies required for it to actually work.  In particular, perl(CPAN), perl(CPANPLUS::Backend), perl(Carp).


Version-Release number of selected component (if applicable):
perl-Module-Install-1.04-3.fc18
However, all fedoras are probably affected.

How reproducible:
When auto_install is used in Makefile.PL, the build failed. (e.g. perl-LDAP - https://koji.fedoraproject.org/koji/taskinfo?taskID=4483615)

Can't locate CPAN.pm in @INC (@INC contains: inc /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at inc/Module/AutoInstall.pm line 303.
Comment 1 Jitka Plesnikova 2012-09-14 11:00:18 EDT
Other example. 

perl-Task-Kensho-Exceptions (bundled Module::Install* libraries removed during %prep. The inc::Module::Install is part of BRs.)

https://koji.fedoraproject.org/koji/taskinfo?taskID=4484311
Comment 2 Marcela Mašláňová 2012-09-17 03:36:54 EDT
Steve,
I applied the patch in rawhide and f18 (just to be sure).
Comment 3 Fedora Update System 2012-09-17 04:01:06 EDT
perl-Module-Install-1.04-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Module-Install-1.04-4.fc18
Comment 4 Fedora Update System 2012-10-03 23:40:54 EDT
perl-Module-Install-1.04-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.